Bug 434704 - Review Request: ocamldsort - Dependency sorter for OCaml source files
Review Request: ocamldsort - Dependency sorter for OCaml source files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 13:09 EST by Richard W.M. Jones
Modified: 2008-03-03 08:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 08:36:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 13:09:12 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocamldsort.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocamldsort-0.14.4-1.fc9.src.rpm
Description: Dependency sorter for OCaml source files

This package is rpmlint-clean.
Comment 1 Parag AN(पराग) 2008-03-01 12:11:52 EST
build failed 
http://koji.fedoraproject.org/koji/taskinfo?taskID=482326
log said =>
configure: error: Cannot find camlp4.
Comment 2 Richard W.M. Jones 2008-03-01 13:54:58 EST
Ick, missing camlp4 again.

Spec URL: http://www.annexia.org/tmp/ocaml/ocamldsort.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocamldsort-0.14.4-2.fc9.src.rpm

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-2
- Add missing BR ocaml-camlp4-devel and test in mock.
Comment 3 Parag AN(पराग) 2008-03-02 03:23:11 EST
Review:
+ package builds in mock (rawhide i386).
koji build =>  http://koji.fedoraproject.org/koji/taskinfo?taskID=483521
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
9651d6afb204c0b22cd69be8a847e1d4  ocamldsort-0.14.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
APPROVED.
Comment 4 Richard W.M. Jones 2008-03-02 05:54:15 EST
New Package CVS Request
=======================
Package Name: ocamldsort
Short Description: Dependency sorter for OCaml source files
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-02 11:47:14 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.